Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1133068 - check-mk jmx plugin deprecated
Summary: check-mk jmx plugin deprecated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: check-mk
Version: el6
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Andrea Veri
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-22 15:31 UTC by Patrick Gavin
Modified: 2014-11-27 18:09 UTC (History)
2 users (show)

Fixed In Version: check-mk-1.2.4p5-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-27 09:42:56 UTC
Type: Bug


Attachments (Terms of Use)
Updated spec file fixing these plugin issues. (13.24 KB, text/plain)
2014-09-10 15:44 UTC, Jeff Abbott
no flags Details
Updated spec file fixing these plugin issues. (13.34 KB, text/plain)
2014-09-10 16:03 UTC, Jeff Abbott
no flags Details

Description Patrick Gavin 2014-08-22 15:31:34 UTC
Description of problem:

The jmx monitoring (j4p.performance) plugin included in the check-mk-agent epel package is deprecated. The new jmx plugin, mk_jolokia, should be included in the package.

In general, the check-mk-agent plugins could probably use a refresh.

Comment 1 Jeff Abbott 2014-09-10 15:43:53 UTC
Hello,

My organization has been maintaining our own local Check_MK packages, and we have decided to try to move to the EPEL upstream to save maintenance effort.  In evaluating the changeover, I noticed both the issue that Patrick points out above, as well as the fact that a great many plugins -- some of which are necessary for our agent use here -- live in the main check-mk package, and not in the check-mk-agent package where they should be.  The way that it's structured now, if you wanted, say, the mk_oracle_asm plugin, you'd have to install the main check-mk package on your Oracle box, which will also pull in the main Nagios package.  Needless to say, this isn't what we want to do on our Oracle boxes.  :-)

To this end, I've attached an updated spec (check-mk-1.2.4p2-3%{?dist}) which fixes both Patrick's issue, and mine.  Please let me know if there's a better way to get this accepted, or if there are any questions or concerns.

~Jeff

Comment 2 Jeff Abbott 2014-09-10 15:44:29 UTC
Created attachment 936220 [details]
Updated spec file fixing these plugin issues.

Comment 3 Jeff Abbott 2014-09-10 16:03:18 UTC
Created attachment 936229 [details]
Updated spec file fixing these plugin issues.

I had left out a step, removing the j4p_performance plugin.  This spec is, I believe, correct.

Comment 4 Andrea Veri 2014-09-12 16:13:42 UTC
Thanks for the patch Jeff, I'll be preparing a new package within the next week.

Comment 5 Fedora Update System 2014-09-17 23:14:01 UTC
check-mk-1.2.4p5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/check-mk-1.2.4p5-1.el6

Comment 6 Fedora Update System 2014-09-17 23:14:08 UTC
check-mk-1.2.4p5-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/check-mk-1.2.4p5-1.el5

Comment 7 Fedora Update System 2014-09-17 23:14:16 UTC
check-mk-1.2.4p5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/check-mk-1.2.4p5-1.fc20

Comment 8 Fedora Update System 2014-09-17 23:14:24 UTC
check-mk-1.2.4p5-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/check-mk-1.2.4p5-1.el7

Comment 9 Fedora Update System 2014-09-17 23:14:32 UTC
check-mk-1.2.4p5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/check-mk-1.2.4p5-1.fc19

Comment 10 Fedora Update System 2014-09-17 23:16:33 UTC
check-mk-1.2.4p5-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/check-mk-1.2.4p5-1.fc21

Comment 11 Fedora Update System 2014-09-19 10:00:14 UTC
Package check-mk-1.2.4p5-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing check-mk-1.2.4p5-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10972/check-mk-1.2.4p5-1.fc20
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2014-09-27 09:42:56 UTC
check-mk-1.2.4p5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-09-27 10:01:29 UTC
check-mk-1.2.4p5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2014-09-27 10:06:38 UTC
check-mk-1.2.4p5-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2014-09-30 00:18:37 UTC
check-mk-1.2.4p5-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/check-mk-1.2.4p5-2.fc19

Comment 16 Fedora Update System 2014-09-30 00:18:48 UTC
check-mk-1.2.4p5-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/check-mk-1.2.4p5-2.el6

Comment 17 Fedora Update System 2014-09-30 00:18:56 UTC
check-mk-1.2.4p5-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/check-mk-1.2.4p5-2.el7

Comment 18 Fedora Update System 2014-09-30 00:19:10 UTC
check-mk-1.2.4p5-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/check-mk-1.2.4p5-2.fc20

Comment 19 Fedora Update System 2014-09-30 00:19:19 UTC
check-mk-1.2.4p5-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/check-mk-1.2.4p5-2.fc21

Comment 20 Fedora Update System 2014-10-05 08:14:04 UTC
check-mk-1.2.4p5-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2014-10-10 15:58:58 UTC
check-mk-1.2.4p5-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2014-10-10 16:05:34 UTC
check-mk-1.2.4p5-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2014-10-17 17:36:04 UTC
check-mk-1.2.4p5-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2014-10-17 17:36:59 UTC
check-mk-1.2.4p5-2.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2014-11-27 18:09:54 UTC
check-mk-1.2.4p5-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.